package com.huigou.topsun.sap.statsIndicators.application;

import com.huigou.topsun.sap.statsIndicators.domain.SapStatsIndicators;
import com.huigou.topsun.sap.statsIndicators.domain.TmpStatsIndicatorsDetailImportDate;
import com.huigou.topsun.sap.statsIndicators.domain.query.SapStatsIndicatorsQueryRequest;

import java.util.List;
import java.util.Map;

public interface SapStatsIndicatorsApplication {


    String PROCESS_DEFINITION_KEY = "sapStatsIndicatorsProc";

    String QUERY_XML_FILE_PATH="config/topsun/sap/statsIndicators/statsIndicators.xml";


    SapStatsIndicators loadSapStatsIndicatorsById(String id);

    Map<String, Object> slicedStatsIndicatorsQuery(SapStatsIndicatorsQueryRequest query);

    void deleteStatsIndicatorsById(String id);
    void deleteStatsIndicatorsByIds(List<String> ids);

    void sendSapDate(String bizId);

    List<TmpStatsIndicatorsDetailImportDate> importExcelData(String batchNumber);
}